Skip to content

Get Directory File

beta.directories.files.get(strdirectory_file_id, FileGetParams**kwargs) -> FileGetResponse
GET/api/v1/beta/directories/{directory_id}/files/{directory_file_id}

Get a file by its directory_file_id within the specified directory. If you’re trying to get a file by its unique_id, use the list endpoint with a filter instead.

ParametersExpand Collapse
directory_id: str
directory_file_id: str
organization_id: Optional[str]
project_id: Optional[str]
ReturnsExpand Collapse
class FileGetResponse:

API response schema for a directory file.

id: str

Unique identifier for the directory file.

directory_id: str

Directory the file belongs to.

display_name: str

Display name for the file.

minLength1
project_id: str

Project the directory file belongs to.

unique_id: str

Unique identifier for the file in the directory

minLength1
created_at: Optional[datetime]

Creation datetime

formatdate-time
data_source_id: Optional[str]

Optional data source credential associated with the file.

deleted_at: Optional[datetime]

Soft delete marker when the file is removed upstream or by user action.

formatdate-time
file_id: Optional[str]

File ID for the storage location.

metadata: Optional[Dict[str, Union[str, float, bool, null]]]

Merged metadata from all sources. Higher-priority sources override lower.

One of the following:
str
float
bool
updated_at: Optional[datetime]

Update datetime

formatdate-time

Get Directory File

import os
from llama_cloud import LlamaCloud

client = LlamaCloud(
    api_key=os.environ.get("LLAMA_CLOUD_API_KEY"),  # This is the default and can be omitted
)
file = client.beta.directories.files.get(
    directory_file_id="directory_file_id",
    directory_id="directory_id",
)
print(file.id)
{
  "id": "id",
  "directory_id": "directory_id",
  "display_name": "x",
  "project_id": "project_id",
  "unique_id": "x",
  "created_at": "2019-12-27T18:11:19.117Z",
  "data_source_id": "data_source_id",
  "deleted_at": "2019-12-27T18:11:19.117Z",
  "file_id": "file_id",
  "metadata": {
    "foo": "string"
  },
  "updated_at": "2019-12-27T18:11:19.117Z"
}
Returns Examples
{
  "id": "id",
  "directory_id": "directory_id",
  "display_name": "x",
  "project_id": "project_id",
  "unique_id": "x",
  "created_at": "2019-12-27T18:11:19.117Z",
  "data_source_id": "data_source_id",
  "deleted_at": "2019-12-27T18:11:19.117Z",
  "file_id": "file_id",
  "metadata": {
    "foo": "string"
  },
  "updated_at": "2019-12-27T18:11:19.117Z"
}